# QRデータ検証

## **checkqrcode** <a href="#createnft" id="createnft"></a>

QRデータ生成で生成したQRコードデータを検証します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="288.98828125">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/tokengate/checkqrcode</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="159.53125">パラメータ</th><th width="85">種類</th><th width="78">必須</th><th width="401.51953125">詳細</th></tr></thead><tbody><tr><td>claims</td><td>object</td><td>yes</td><td>QR生成のレスポンス内のclaimsをそのまま指定する</td></tr><tr><td>signature</td><td>str</td><td>no</td><td>クライアント署名(署名ありの場合)</td></tr></tbody></table>

{% hint style="warning" %}
署名のあり・なしに関わらず生成したQRコードのclaimsをそのまま指定する
{% endhint %}

## **リクエストのサンプル** <a href="#sample" id="sample"></a>

```json
{
  "claims": {
      "parameters": {
        "blockchain": "polygon",
        "nftContractAddress": "0x0000000000000000000000000000000000000000",
        "nftTokenId": 0,
        "ownerWalletAddress": "0x1111111111111111111111111111111111111111",
        "context": "string"
      },
      "iat": 1746025200,
      "exp": 1746025800,
      "verifiedOwnerWallet": true
  },
  "signature": "MxRh4nynXvBF3nZ0Naau2gJkBqHZj72gzvnzBW0EQCIAz_5zFcEI8yjnSHWM5pEJwU8EWQiBV_l0P7MAiAeu3lyuK1-VQm"
}

```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "requests": {
    "claims": {
      "parameters": {
        "blockchain": "polygon",
        "nftContractAddress": "0x0000000000000000000000000000000000000000",
        "nftTokenId": 0,
        "ownerWalletAddress": "0x1111111111111111111111111111111111111111",
        "context": "string"
      },
      "iat": 1746025200,
      "exp": 1746025800,
      "verifiedOwnerWallet": true
    },
    "signature": "MxRh4nynXvBF3nZ0Naau2gJkBqHZj72gzvnzBW0EQCIAz_5zFcEI8yjnSHWM5pEJwU8EWQiBV_l0P7MAiAeu3lyuK1-VQm",
  },
  "response": {
    "code": "SUCCESS",
    "message": "Successfully completed to check the QRCode data."
  }
}
</code></pre>

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Bad Request",
    "message": "contract_address and blockchain are inconsistent"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/checkqrcode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
